Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor .NET
  Fläche von Bohrung herausfinden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fläche von Bohrung herausfinden (1278 mal gelesen)
mssoftware
Mitglied
alles mögliche


Sehen Sie sich das Profil von mssoftware an!   Senden Sie eine Private Message an mssoftware  Schreiben Sie einen Gästebucheintrag für mssoftware

Beiträge: 76
Registriert: 15.06.2005

Design Suite 2011-2016 Ultimate
Microsoft Visual Studio Professional 2010<P>i7 2600K @3,4Ghz
Windows 7 64bit
nvidia GTX 760
16GB RAM
2x SSD256GB
NAS 1TB (gespiegelt)

erstellt am: 22. Feb. 2012 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

wie kann ich herausfinden, welche Fläche eine Bohrung bzw die Skizze dazu benutzt?
Ich wähle in einem Teil eine Fläche aus und möchte nun alle Bohrungen herausfiltern, die auf dieser Fläche liegen. Die Programmierung sieht im Moment so aus:

Code:
  oIVPart = oInventorApp.ActiveDocument

'ausgewählte Fläche zuweisen           
Dim oselectset As Inventor.SelectSet = oIVPart.SelectSet
            If oselectset.Count > 0 Then
                If TypeOf oselectset.Item(1) Is Inventor.Face Then
                    Dim oface As Inventor.Face = oselectset.Item(1)
                    ' Referenz zur component definition.
                    Dim oCompDef As Inventor.PartComponentDefinition
                    oCompDef = oIVPart.ComponentDefinition

'alle Bohrungen durchgehen und prüfen ob sie auf der ausgewählten Fläche liegen
                    Dim ohole As Inventor.HoleFeature
                    For Each ohole In oCompDef.Features.HoleFeatures
                        If ohole.SurfaceBodies.Item(1).Faces.Item(1) Is oface Then
                            Debug.WriteLine(ohole.HoleDiameter.Value * 10)
                        End If

                    Next


                End If

            End If


Bei:

Code:
If ohole.SurfaceBodies.Item(1).Faces.Item(1) Is oface Then
liegt mein Problem, ich finde nicht heraus, welche Eigenschaft die Fläche zurück gibt, auf der die Skizze für die Bohrung liegt...

Gruß

Maik

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mssoftware
Mitglied
alles mögliche


Sehen Sie sich das Profil von mssoftware an!   Senden Sie eine Private Message an mssoftware  Schreiben Sie einen Gästebucheintrag für mssoftware

Beiträge: 76
Registriert: 15.06.2005

Design Suite 2011-2016 Ultimate
Microsoft Visual Studio Professional 2010<P>i7 2600K @3,4Ghz
Windows 7 64bit
nvidia GTX 760
16GB RAM
2x SSD256GB
NAS 1TB (gespiegelt)

erstellt am: 22. Feb. 2012 12:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

schon gefunden:

Code:
Dim osketchface As Inventor.Face = ohole.Sketch.PlanarEntity
                    If osketchface Is oface Then
                        Debug.WriteLine(ohole.HoleDiameter.Value * 10)
                    End If

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz